Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.translate
Class ParamToJavaExpr_c

    java.lang.Object
      jif.translate.ParamToJavaExpr_c

All Implemented Interfaces:
  java.io.Serializable, LabelToJavaExpr, PrincipalToJavaExpr

    public class ParamToJavaExpr_c

extends java.lang.Object
implements LabelToJavaExpr, PrincipalToJavaExpr

See Also:
  Serialized Form

Constructor Summary
`ParamToJavaExpr_c()`

Method Summary
`static java.lang.String` | `paramArgName(ParamInstance pi)`
`static java.lang.String` | `paramFieldName(ParamInstance pi)`
`static java.lang.String` | `paramFieldNameGetter(ParamInstance pi)`
`polyglot.ast.Expr` | `toJava(Label label, JifToJavaRewriter rw)`
`polyglot.ast.Expr` | `toJava(ParamInstance pi, JifToJavaRewriter rw)`
`polyglot.ast.Expr` | `toJava(Principal principal, JifToJavaRewriter rw)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParamToJavaExpr_c

    public ParamToJavaExpr_c()

Method Detail

### toJava

    public polyglot.ast.Expr toJava(Label label,
                                    JifToJavaRewriter rw)
                             throws polyglot.types.SemanticException

  Specified by:
    `toJava` in interface `LabelToJavaExpr`
  Throws:
    `polyglot.types.SemanticException`

### toJava

    public polyglot.ast.Expr toJava(Principal principal,
                                    JifToJavaRewriter rw)
                             throws polyglot.types.SemanticException

  Specified by:
    `toJava` in interface `PrincipalToJavaExpr`
  Throws:
    `polyglot.types.SemanticException`

### toJava

    public polyglot.ast.Expr toJava(ParamInstance pi,
                                    JifToJavaRewriter rw)
                             throws polyglot.types.SemanticException

  Throws:
    `polyglot.types.SemanticException`

### paramFieldName

    public static java.lang.String paramFieldName(ParamInstance pi)

### paramFieldNameGetter

    public static java.lang.String paramFieldNameGetter(ParamInstance pi)

### paramArgName

    public static java.lang.String paramArgName(ParamInstance pi)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD